%global pkg_name haskell-src

%global common_summary Haskell source-code manipulation library

%global common_description Facilities for manipulating Haskell source code:\
an abstract syntax, lexer, parser and pretty-printer.

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# part of haskell-platform-2010.2.0.0
Version:        1.0.1.3
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
BuildRequires:  happy

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%ghc_lib_package -o 1.0.1.3-6


%changelog
* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-6
- add hscolour and doc obsolete (cabal2spec-0.22.2)

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-5
- sync cabal2spec-0.22.1

* Thu Apr 29 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-4
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Fri Jan 22 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-3
- buildrequires happy (Rakesh Pandit, #557393)

* Thu Jan 21 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-2
- BSD license
- summary and description
- comment part of haskell-platform-2009.2.0.2

* Thu Jan 21 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.1.3-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
